<?php
namespace Pinpoint\Conesso\Plugin\Customer;

use Magento\Customer\Model\ResourceModel\CustomerRepository;
use Pinpoint\Conesso\Model\Api\Customer\LogCustomerInterface;

class CustomerAfterSave
{
    private $logCustomer;
    public function __construct(
        LogCustomerInterface $logCustomer
    ) {
        $this->logCustomer = $logCustomer;
    }
    public function afterSave(
        CustomerRepository $subject,
        $savedCustomer
    ) {
        try {
            $this->logCustomer->logCustomer($savedCustomer,LogCustomerInterface::EVENT_TYPE_SAVE);
        } catch(\Exception $e) {

        }
        return $savedCustomer;
    }
}
